steps:
  - name: build tag
    image: woodpeckerci/plugin-docker-buildx
    settings:
      repo: registry.odit.services/lfk/mailer
      tags:
        - "${CI_COMMIT_TAG}"
      registry: registry.odit.services
      platforms: linux/amd64,linux/arm64
      cache_from: registry.odit.services/lfk/mailer:latest
      username:
        from_secret: odit-registry-builder-username
      password:
        from_secret: odit-registry-builder-password
    secrets:
      - source: odit-npm-cache-url
        target: NPM_REGISTRY_URL

when:
  event: tag
